/*
 * col_ed.h -- include file for col_ed.c
 */

/* includes */

#include        <stdio.h>
#include        <ctype.h>
#include        <stdlib.h>
#include        <string.h>
#include        <math.h>
#include        <errno.h>
#include        <time.h>

/* constants */

#define TRUE              (1)
#define FALSE             (0)
#define MAX_LINE          (8192)
#define MAX_COLS          (1024)
#define MAX_COMMAND_ROWS  (5000)
#define MAX_FIELD         (64)
#define EOS               (0)
#define STRING_EQUAL      (0)
#define ERROR_CODE        (-1)

/* global variables */

char *ProgName;                /* name of this program -- malloced elsewhere */

/* flag-settable parameters (global variables) */

int Debug;                     /* Boolean: TRUE = debug writes */
int Scramble;                  /* Boolean */
int ColsOut[MAX_COLS];         /* remaps columns for output */

char CommandFile[MAX_LINE];    /* filename */
char DateFormat[MAX_LINE];     /* */
char MissingValues[MAX_FIELD]; /* */
long long int DateDenom;       /* */

/* macros */
